%define		orgname		kcachegrind
%define		_state		stable
%define		qtver		4.8.1

Summary:	KCachegrind - visualization of traces generated by profiling
Summary(pl.UTF-8):	KCachegrind - wizualizacja ścieżek tworzonych przez profilowanie
Name:		kde4-kcachegrind
Version:	4.14.3
Release:	2
License:	GPL v2
Group:		X11/Development/Tools
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	74bd394389a508eefe8f08b1b3e32709
#Patch100: %{name}-branch.diff
URL:		http://www.kde.org/
BuildRequires:	QtNetwork-devel >= %{qtver}
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	bzip2-devel
BuildRequires:	cmake >= 2.8.0
BuildRequires:	docbook-dtd42-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	gettext-tools
BuildRequires:	kde4-kdelibs-devel >= 4.14
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.600
Suggests:	%{name}-tools = %{version}-%{release}
Obsoletes:	kde4-kdesdk-kcachegrind
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KCachegrind visualizes traces generated by profiling.

%description -l pl.UTF-8
KCachegrind wizualizuje ślady tworzone przez profilowanie.

%package tools
Summary:	Tools to convert various profiling data to calltree format
Summary(pl.UTF-8):	Narzędzia do konwersji różnych danych profilujących do formatu calltree
Group:		Development/Tools

%description tools
Tools to convert various profiling data to calltree format, used by
Valgrind tools.

%description tools -l pl.UTF-8
Narzędzia do konwersji różnych danych profilujących do formatu
calltree, stosowanego przez narzędzia Valgrinda.

%prep
%setup -q -n %{orgname}-%{version}

%{__sed} -i -e '1s,/usr/bin/env python,/usr/bin/python,' converters/hotshot2calltree.cmake
%{__sed} -i -e '1s,/usr/bin/env php,/usr/bin/php,' converters/pprof2calltree

%build
install -d build
cd build
%cmake ..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir}

%find_lang kcachegrind --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f kcachegrind.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kcachegrind
%{_datadir}/apps/kcachegrind
%{_desktopdir}/kde4/kcachegrind.desktop
%{_iconsdir}/hicolor/*/apps/kcachegrind.png

%files tools
%defattr(644,root,root,755)
%doc converters/README
%attr(755,root,root) %{_bindir}/hotshot2calltree
%attr(755,root,root) %{_bindir}/op2calltree
%attr(755,root,root) %{_bindir}/pprof2calltree
%attr(755,root,root) %{_bindir}/dprof2calltree
%attr(755,root,root) %{_bindir}/memprof2calltree
%changelog
* Mon Aug 10 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-kcachegrind.git;a=log;h=master

* Wed Aug 05 2015 Jakub Bogusz <qboosh@pld-linux.org> 8a74074
- updated BRs, cleanup, separated -tools (usable with qcachegrind too); release 2

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 0f6d527
- updated gettext BR

* Fri Nov 14 2014 Jan Rękorajski <baggins@pld-linux.org> 7e13555
- updated to 4.14.3 (by update-kde4.sh)

* Mon Aug 25 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 623fbaf
- updated to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> ec7fb68
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 50b157f
- updated to 4.13.1 (by update-kde4.sh)

* Sat May 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 34025b1
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 80fdbe0
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 6f12900
- updated to 4.12.3 (by update-kde4.sh)

* Tue Feb 04 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 3c71447
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> b669f85
- updated to 4.12.1 (by update-kde4.sh)

* Mon Dec 23 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 0ce2622
- new, based on kde4-kdesdk

